/* 导航相关样式 */

/* 站点名称样式 */
.site-name {
  font-size: var(--font-size-lg);
  font-weight: bold;
}

/* 导航菜单样式 */
.nav-menu {
  list-style: none;
  display: flex;
  gap: 5px;
  align-items: center;
}

/* 汉堡菜单按钮在导航菜单中的样式 */
.nav-menu .menu-toggle {
  display: none;
  margin-left: 10px;
}

/* 日夜间模式切换按钮 */
.theme-toggle {
  background: none;
  border: 2px solid var(--light-color);
  border-radius: 8px;
  width: 35px;
  height: 35px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: var(--cursor-click);
  font-family: 'Noto Serif SC', "华文中宋", "STZhongsong", serif;
  font-weight: 700;
  font-size: 15px;
  color: var(--text-color);
  transition: all 0.3s ease;
}

.theme-toggle:hover {
  border-color: var(--primary-color);
  transform: scale(1.05);
}

.theme-toggle-text {
  display: block;
}

/* 导航链接样式 */
.nav-link {
  color: var(--text-color);
  text-decoration: none;
  font-size: 16px;
  font-weight: 500;
  transition: all 0.3s ease;
  position: relative;
  padding: 0 20px;
  border-radius: 4px;
  display: inline-block;
  cursor: var(--cursor-click);
}

/* 导航链接 hover 效果 */
.nav-link:hover {
  color: var(--text-color);
/*  background-color: rgba(0, 0, 0, 0.05); */
  cursor: var(--cursor-click);
}

.nav-link::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 50%;
  width: 0;
  height: 2px;
  background-color: var(--blue-color);
  transition: all 0.3s ease;
  transform: translateX(-50%);
}

.nav-link:hover::after {
  width: 80%;
}